#ifndef _TESTGENERICCLUSTERALGOSELECTIONPERSISTENT_H
#define _TESTGENERICCLUSTERALGOSELECTIONPERSISTENT_H

#include <cppunit/extensions/HelperMacros.h>

#include <vislearning/math/cluster/GenericClusterAlgorithmSelection.h>

/**
 * CppUnit-Testcase. 
 * @brief CppUnit-Testcase to create a ClutserAlgo object via GenericClusterAlgoSelection, to store it, and to restore it again.
 * @author Alexander Freytag
 * @date 13-02-2014 ( dd-mm-yyyy )
 */
class TestGenericClusterAlgoSelectionPersistent : public CppUnit::TestFixture {

    CPPUNIT_TEST_SUITE( TestGenericClusterAlgoSelectionPersistent );
         CPPUNIT_TEST(testPersistentMethods);
      
    CPPUNIT_TEST_SUITE_END();
  
 private:
 
 public:
    void setUp();
    void tearDown();


    void testPersistentMethods();
};

#endif // _TESTGENERICCLUSTERALGOSELECTIONPERSISTENT_H
